OGRE: Ogre::PropertyDef Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::PropertyDef Class Reference
Components » Property

Definition of a property of an object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyDef:
[legend]

## Public Member Functions
| PropertyDef (const String &name, const String &desc, PropertyType pType)
| Construct a property. More...
const String & | getDescription () const
| Get the description of the property. More...
const String & | getName () const
| Get the name of the property. More...
PropertyType | getType () const
| Get the type of the property. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Static Public Member Functions
static PropertyType | getTypeForValue (const bool &val)
static PropertyType | getTypeForValue (const ColourValue &val)
static PropertyType | getTypeForValue (const int &val)
static PropertyType | getTypeForValue (const long &val)
static PropertyType | getTypeForValue (const Matrix3 &val)
static PropertyType | getTypeForValue (const Matrix4 &val)
static PropertyType | getTypeForValue (const Quaternion &val)
static PropertyType | getTypeForValue (const Real &val)
static PropertyType | getTypeForValue (const short &val)
static PropertyType | getTypeForValue (const String &val)
static PropertyType | getTypeForValue (const unsigned int &val)
static PropertyType | getTypeForValue (const unsigned long &val)
static PropertyType | getTypeForValue (const unsigned short &val)
static PropertyType | getTypeForValue (const Vector2 &val)
static PropertyType | getTypeForValue (const Vector3 &val)
static PropertyType | getTypeForValue (const Vector4 &val)
static const String & | getTypeName (PropertyType theType)
| Get a string name of a property type. More...

## Detailed Description

Definition of a property of an object.

Remarks
  This definition is shared between all instances of an object and therefore has no value. Property contains values.

## Constructor & Destructor Documentation

## ◆ PropertyDef()

Ogre::PropertyDef::PropertyDef | ( | const String & | name,
|  | const String & | desc,
|  | PropertyType | pType
| ) |  |
| inline

Construct a property.

Parameters

  name | The name of the property
  desc | A (potentially) long description of the property
  pType | The type of the property

## Member Function Documentation

## ◆ getDescription()

const String& Ogre::PropertyDef::getDescription | ( |  | ) | const
| inline

Get the description of the property.

## ◆ getName()

const String& Ogre::PropertyDef::getName | ( |  | ) | const
| inline

Get the name of the property.

## ◆ getType()

PropertyType Ogre::PropertyDef::getType | ( | void |  | ) | const
| inline

Get the type of the property.

## ◆ getTypeForValue() [1/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const bool & | val | ) |
| inlinestatic

References Ogre::PROP_BOOL.

## ◆ getTypeForValue() [2/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const ColourValue & | val | ) |
| inlinestatic

References Ogre::PROP_COLOUR.

## ◆ getTypeForValue() [3/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const int & | val | ) |
| inlinestatic

References Ogre::PROP_INT.

## ◆ getTypeForValue() [4/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const long & | val | ) |
| inlinestatic

References Ogre::PROP_LONG.

## ◆ getTypeForValue() [5/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix3 & | val | ) |
| inlinestatic

References Ogre::PROP_MATRIX3.

## ◆ getTypeForValue() [6/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix4 & | val | ) |
| inlinestatic

References Ogre::PROP_MATRIX4.

## ◆ getTypeForValue() [7/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Quaternion & | val | ) |
| inlinestatic

References Ogre::PROP_QUATERNION.

## ◆ getTypeForValue() [8/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Real & | val | ) |
| inlinestatic

References Ogre::PROP_REAL.

## ◆ getTypeForValue() [9/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const short & | val | ) |
| inlinestatic

References Ogre::PROP_SHORT.

Referenced by Ogre::PropertySet::getValue(), and Ogre::PropertySet::setValue().

## ◆ getTypeForValue() [10/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const String & | val | ) |
| inlinestatic

References Ogre::PROP_STRING.

## ◆ getTypeForValue() [11/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned int & | val | ) |
| inlinestatic

References Ogre::PROP_UNSIGNED_INT.

## ◆ getTypeForValue() [12/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned long & | val | ) |
| inlinestatic

References Ogre::PROP_UNSIGNED_LONG.

## ◆ getTypeForValue() [13/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned short & | val | ) |
| inlinestatic

References Ogre::PROP_UNSIGNED_SHORT.

## ◆ getTypeForValue() [14/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector2 & | val | ) |
| inlinestatic

References Ogre::PROP_VECTOR2.

## ◆ getTypeForValue() [15/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector3 & | val | ) |
| inlinestatic

References Ogre::PROP_VECTOR3.

## ◆ getTypeForValue() [16/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector4 & | val | ) |
| inlinestatic

References Ogre::PROP_VECTOR4.

## ◆ getTypeName()

static const String& Ogre::PropertyDef::getTypeName | ( | PropertyType | theType | ) |
| static

Get a string name of a property type.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreProperty.h